> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# useStytchOrganization Hook

> Get the current Organization using the Stytch React Native SDK

To get the Organization (Represents an instance or tenant in your application, typically mapping to each of your top-level customers.) of the currently signed in Member (Represents an individual end user's account within a given Organization, uniquely identified within that Organization by their email address.), use the `useStytchOrganization` hook.

If the user is not signed in, the `organization` object will be `null`.

In non-React environments, use the [`organization.getSync`](../methods/organizations/get-organization-sync) method to get the Organization.

## Return Value

**organization** `object | null`

The Organization of the currently signed in Member.

**properties**

**organization\_id** `string`

Globally unique UUID that identifies a specific Organization. The `organization_id` is critical to perform operations on an Organization, so be sure to preserve this value. You may also use the `organization_slug` or `organization_external_id` here as a convenience.

**organization\_name** `string`

The name of the Organization. Must be between 1 and 128 characters in length.

**organization\_logo\_url** `string`

The image URL of the Organization logo.

**organization\_slug** `string`

The unique URL slug of the Organization.

The slug only accepts alphanumeric characters and the following reserved characters: `- . _ ~`. Must be between 2 and 128 characters in length.

Wherever an `organization_id` is expected in a path or request parameter, you may also use the `organization_slug` as a convenience.

**organization\_external\_id** `string`

A unique identifier for the Organization.

**sso\_jit\_provisioning** `string`

The authentication setting that controls the JIT provisioning of Members when authenticating via SSO. The accepted values are:
<ul><li>`ALL_ALLOWED` – the default setting, new Members will be automatically provisioned upon successful authentication via any of the Organization's `sso_active_connections`</li>
<li>`RESTRICTED` – only new Members with SSO logins that comply with `sso_jit_provisioning_allowed_connections` can be provisioned upon authentication</li>
<li>`NOT_ALLOWED` – disable JIT provisioning via SSO</li></ul>

**sso\_jit\_provisioning\_allowed\_connections** `array[strings]`

An array of `connection_ids` that reference [SAML Connection objects](https://stytch.com/docs/api-reference/b2b/api/sso/saml-connection-object.md). Only these
connections will be allowed to JIT provision Members via SSO when `sso_jit_provisioning` is set to `RESTRICTED`.

**sso\_active\_connections** `array[objects]`

An array of active [SAML Connection references](https://stytch.com/docs/api-reference/b2b/api/sso/saml-connection-object.md) or [OIDC Connection references](https://stytch.com/docs/api-reference/b2b/api/sso/oidc-connection-object.md).

**sso\_active\_connections properties**

**connection\_id** `string`

Globally unique UUID that identifies a specific SSO `connection_id` for a Member.

**display\_name** `string`

A human-readable display name for the connection.

**scim\_active\_connection** `object`

An active [SCIM Connection references](https://stytch.com/docs/api-reference/b2b/api/scim/overview.md).

**scim\_active\_connection properties**

**connection\_id** `string`

The ID of the SCIM connection.

**display\_name** `string`

A human-readable display name for the connection.

**email\_allowed\_domains** `array[strings]`

An array of email domains that allow invites or JIT provisioning for new Members. This list is enforced when either `email_invites` or `email_jit_provisioning` is set to `RESTRICTED`

Common domains such as gmail.com are not allowed. See the [full list of disallowed common email domains](https://stytch.com/docs/multi-tenant-auth/enterprise-ready/org-management/jit-provision-members.md#by-email-domain).

**email\_jit\_provisioning** `string`

The authentication setting that controls how a new Member can be provisioned by authenticating via Email Magic Link or OAuth. The accepted values are:

* `RESTRICTED` – only new Members with verified emails that comply with `email_allowed_domains` can be provisioned upon authentication via Email Magic Link or OAuth
* `NOT_ALLOWED` – the default setting, disables JIT provisioning via Email Magic Link and OAuth

**email\_invites** `string`

The authentication setting that controls how a new Member can be invited to an organization by email. The accepted values are:
<ul><li>`ALL_ALLOWED` – any new Member can be invited to join via email</li>
<li>`RESTRICTED` – only new Members with verified emails that comply with `email_allowed_domains` can be invited via email</li>
<li>`NOT_ALLOWED` – disable email invites</li></ul>

**auth\_methods** `string`

The setting that controls which authentication methods can be used by Members of an Organization. The accepted values are:

* `ALL_ALLOWED` – the default setting which allows all authentication methods to be used
* `RESTRICTED` – only methods that comply with `allowed_auth_methods` can be used for authentication. This setting does not apply to Members with `is_breakglass` set to true

**allowed\_auth\_methods** `array[strings]`

An array of allowed authentication methods. This list is enforced when `auth_methods` is set to `RESTRICTED`. The list's accepted values are: `sso`, `magic_link`, `email_otp`, `password`, `google_oauth`, `microsoft_oauth`, `slack_oauth`, `github_oauth`, and `hubspot_oauth`.

**mfa\_methods** `string`

The setting that controls which MFA methods can be used by Members of an Organization. The accepted values are:
<ul><li>`ALL_ALLOWED` – the default setting which allows all authentication methods to be used</li>
<li>`RESTRICTED` – only methods that comply with `allowed_mfa_methods` can be used for authentication. This setting does not apply to Members with `is_breakglass` set to true</li></ul>

**allowed\_mfa\_methods** `array[strings]`

An array of allowed MFA authentication methods. This list is enforced when `mfa_methods` is set to `RESTRICTED`. The
list's accepted values are: `sms_otp` and `totp`.

**trusted\_metadata** `object`

An arbitrary JSON object for storing application-specific data or identity-provider-specific data.

**sso\_default\_connection\_id** `string`

The default connection used for SSO when there are multiple active connections.

**rbac\_email\_implicit\_role\_assignments** `array[object]`

Implicit role assignments based off of email domains. For each domain-Role pair, all Members whose email addresses have the specified email domain will be granted the associated Role, regardless of their login method. See the [RBAC guide](https://stytch.com/docs/multi-tenant-auth/enterprise-ready/rbac/assigning-roles-to-members.md) for more information about role assignment.

**rbac\_email\_implicit\_role\_assignments properties**

**domain** `string`

Email domain that grants the specified Role.

**role\_id** `string`

The unique identifier of the RBAC Role, provided by the developer and intended to be human-readable.

Reserved `role_ids` that are predefined by Stytch include:
<ul><li>`stytch_member`</li>
<li>`stytch_admin`</li></ul>

Check out the [guide on Stytch default Roles](https://stytch.com/docs/multi-tenant-auth/enterprise-ready/rbac/create-rbac-policy.md) for a more detailed explanation.

**oauth\_tenant\_jit\_provisioning** `string`

The authentication setting that controls how a new Member can JIT provision into an Organization by tenant. The accepted values are:

* `RESTRICTED` – only new Members with tenants in `allowed_oauth_tenants` can JIT provision via tenant
* `NOT_ALLOWED` – the default setting, disables JIT provisioning by OAuth Tenant

**allowed\_oauth\_tenants** `object`

A map of allowed OAuth tenants. If this field is not passed in, the Organization will not allow JIT provisioning by OAuth Tenant. Allowed keys are "slack", "hubspot", and "github".

**first\_party\_connected\_apps\_allowed\_type** `string`

The authentication setting that sets the Organization's policy towards first party Connected Apps. The accepted values are:
<ul><li>`ALL_ALLOWED` – the default setting, any first party Connected App in the Project is permitted for use by Members</li>
<li>`RESTRICTED` – only first party Connected Apps with IDs in `allowed_first_party_connected_apps` can be used by Members</li>
<li>`NOT_ALLOWED` – no first party Connected Apps are permitted</li></ul>

**allowed\_first\_party\_connected\_apps** `array[strings]`

An array of first party Connected App IDs that are allowed for the Organization. Only used when the Organization's `first_party_connected_apps_allowed_type` is `RESTRICTED`.

**third\_party\_connected\_apps\_allowed\_type** `string`

The authentication setting that sets the Organization's policy towards third party Connected Apps. The accepted values are:
<ul><li>`ALL_ALLOWED` – the default setting, any third party Connected App in the Project is permitted for use by Members</li>
<li>`RESTRICTED` – only third party Connected Apps with IDs in `allowed_third_party_connected_apps` can be used by Members</li>
<li>`NOT_ALLOWED` – no third party Connected Apps are permitted</li></ul>

**allowed\_third\_party\_connected\_apps** `array[strings]`

An array of third party Connected App IDs that are allowed for the Organization. Only used when the Organization's `third_party_connected_apps_allowed_type` is `RESTRICTED`.

**created\_at** `string`

The timestamp of the Organization's creation. Values conform to the RFC 3339 standard and are expressed in UTC, e.g. `2021-12-29T12:33:09Z`.

**updated\_at** `string`

The timestamp of when the Organization was last updated. Values conform to the RFC 3339 standard and are expressed in UTC, e.g. `2021-12-29T12:33:09Z`.

**fromCache** `boolean`

Whether the Organization data is from persistent storage.

```jsx React theme={null}
import { Text } from 'react-native';
import { useStytchOrganization } from '@stytch/react-native/b2b';

export const Home = () => {
  const { organization } = useStytchOrganization();

  return organization
    ? <Text>Welcome to {organization.organization_name}</Text>
    : <Text>Log in to continue!</Text>;
};
```

```json Logged in theme={null}
{
  "organization": { ... },
  "fromCache": false
}
```

```json Logged out theme={null}
{
  "organization": null,
  "fromCache": false
}
```
